using System;
using Server.Network; 

namespace Server.Items 
{ 
   public class Spittoon : BaseDecorationArtifact 
   { 
      public override int ArtifactRarity{ get{ return 2; } }
      [Constructable] 
      public Spittoon() : base( 0x1003 ) 
      { 
         Movable = false;
         ItemFlags.SetStealable(this,true);
      } 

      public Spittoon( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
} 
